name: wyatt_ui_components
description: Primary ui components
repository: https://git.wyatt-studio.fr/Wyatt-FOSS/wyatt-packages/src/branch/master/packages/wyatt_ui_components
version: 0.0.1

publish_to: none

environment:
  sdk: ">=2.17.0 <3.0.0"

dependencies:
  flutter: { sdk: flutter }
  copy_with_extension: ^5.0.0
  wyatt_component_copy_with_extension:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-FOSS/wyatt-packages.git
      path: packages/wyatt_component_copy_with_extension

dev_dependencies:
  flutter_test: { sdk: flutter }
  wyatt_analysis:
    hosted: https://git.wyatt-studio.fr/api/packages/Wyatt-FOSS/pub
    version: ^2.4.1

  build_runner: ^2.3.3
  copy_with_extension_gen: ^5.0.0
  wyatt_component_copy_with_gen:
    git:
      url: ssh://git@git.wyatt-studio.fr:993/Wyatt-FOSS/wyatt-packages.git
      path: packages/wyatt_component_copy_with_gen
